# ground-control

A Raspberry Pi project for coordinating actions between systems.

## Configuration
```
cp ground-control.sample.cfg ground-control.cfg
```

## Installation
```
sudo ./install
```

## Output
By default output will be in `/var/log/syslog`.
A separate log file can be used by creating `/etc/rsyslog.d/30-ground-control.conf` containing:
```
if $programname == 'ground-control' then /var/log/ground-control.log
& stop
```
and then restart the rsyslog service:
```
sudo systemctl restart rsyslog
```
This log file can be rotated by creating `/etc/logrotate.d/ground-control` containing:
```
/var/log/ground-control.log
{
        rotate 14
        daily
        create
        missingok
        notifempty
        compress
        delaycompress
        postrotate
                /usr/lib/rsyslog/rsyslog-rotate
        endscript
}

```
